Subject: bug#32874: Unwanted scrolling in edebug `f' command when follow-mode is active

From: Eli Zaretskii <[email-masked]>
Date: Sat, 29 Sep 2018 19:09:00 +0300

> Date: Sat, 29 Sep 2018 15:37:29 +0000
> Cc: [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> > That's not true: pre-redisplay-function is called _before_ the display
> > engine determines what window(s) might need to be redrawn.
> 
> Thanks!  I'll have a look at pre-redisplay-function, and see if I can do
> anything with it.

I'd actually urge you to have a good look at window-scroll-functions
as well.  (Follow mode already uses it, but I think it could use it
for quite a lot more.)  This hook is called when Emacs concludes that
a window may need to be scrolled to bring point into view.  This is
exactly where Follow mode wants to be able to affect the decision of
the display engine, right?  I think by making a few simple
changes/extensions where this hook is called, we could make the work
of Follow mode quite a lot easier, by letting it rely on the display
engine instead of trying to maneuver the display engine to do what it
wants.